<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools">

    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.SET_WALLPAPER" />
    <uses-permission android:name="android.permission.ACCESS_WIFI_STATE" />
    <uses-permission
        android:name="android.permission.WRITE_EXTERNAL_STORAGE"
        android:maxSdkVersion="32" />
    <uses-permission android:name="com.google.android.gms.permission.AD_ID" />

    <application
        android:name="com.wall.photography.picture.MyApp"
        android:allowBackup="true"
        android:usesCleartextTraffic="true"
        android:dataExtractionRules="@xml/data_extraction_rules"
        android:fullBackupContent="@xml/backup_rules"
        android:icon="@mipmap/icon"
        android:label="@string/app_name"
        android:networkSecurityConfig="@xml/net"
        tools:replace="networkSecurityConfig"
        android:roundIcon="@mipmap/icon"
        android:supportsRtl="true"
        android:theme="@style/Theme.Wallpaper"
        tools:targetApi="31">
        <activity
            android:name="com.wall.photography.picture.activity.Search"
            android:exported="false" />
        <activity
            android:name="com.wall.photography.picture.activity.ListAct"
            android:exported="false" />
        <activity
            android:name="com.wall.photography.picture.SplashActivity"
            android:exported="true"
            android:launchMode="singleTask"
            android:screenOrientation="portrait"
            android:theme="@style/Theme.WelWallpaper">
            <intent-filter>
                <action android:name="best.log" />
                <category android:name="best.facebook.go.log" />

                <action android:name="best.wash.param" />
                <category android:name="best.wash.param.go" />

                <action android:name="android.intent.action.MAIN" />
                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>
        <activity
            android:name="com.wall.photography.picture.activity.Wallpaper"
            android:exported="false" />
        <activity
            android:name="com.wall.photography.picture.activity.Main"
            android:exported="false" />
        <activity
            android:name=".environment.MainActivity2"
            android:exported="true"
            android:launchMode="singleTask"
            android:screenOrientation="portrait" />
    </application>

</manifest>